旧バージョンのLabVIEWランタイム用のアプリケーションを作成できますか?

更新しました Dec 8, 2020

使用製品

ソフトウェア

  • LabVIEW
  • LabVIEW Run-Time Engine
  • LabVIEW Application Builder Module

問題

  • コンピュータで最新バージョンのLabVIEWを使用しており、古いバージョンのLabVIEWランタイムエンジンのみが入ったコンピュータ用のアプリケーションをビルドする必要があります。
  • 旧バージョンのLabVIEWランタイムエンジン用のアプリケーションをビルドすることは可能ですか?
  • LabVIEWの実行ファイルは古いバージョンのLabVIEWランタイムエンジンと互換性がありますか?

解決策

いいえ。実行ファイルがビルドされるとき、ランタイムエンジンの依存関係は、実行ファイルの作成に使用された開発環境によって決まります。
したがって、LabVIEWランタイムエンジンのバージョンが開発システムのバージョンと一致していることを確認してください。

LabVIEWアプリケーションを正常に実行するためには2つの選択肢があります。
1.ターゲットPCに、正しいバージョンのランタイムエンジンをインストールします。 LabVIEWランタイムエンジンのバージョンは、LabVIEWダウンロードページ またはLabVIEWランタイムエンジンのダウンロードページ からオンラインで無料でダウンロードできます。

2.アプリケーションを、正しいバージョンの開発環境でビルドします。 NI.comアカウントにアクティブなSSPがある場合は、 LabVIEWダウンロードページ からLabVIEW開発環境の古いバージョンをダウンロードできます。

追加情報

プロジェクトを古いバージョンのLabVIEWに変換するには、 LabVIEWファイルを旧バージョンで保存する を参照してください。